org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface EFacetPackage

    public interface EFacetPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `EFacetFactory`
Generated:
Model:
  kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore validationDelegates='org.eclipse.ocl.ecore.OCL'"

### Nested Class Summary

Nested Classes
`static interface` `EFacetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `CATEGORY` The meta object id for the '`Category`' class.
`static int` `CATEGORY__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `CATEGORY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CATEGORY__NAME` The feature id for the 'Name' attribute.
`static int` `CATEGORY_FEATURE_COUNT` The number of structural features of the 'Category' class.
`static int` `DERIVED_TYPED_ELEMENT` The meta object id for the '`Derived Typed Element`' class.
`static int` `DERIVED_TYPED_ELEMENT__CATEGORIES` The feature id for the 'Categories' reference list.
`static int` `DERIVED_TYPED_ELEMENT__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `DERIVED_TYPED_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DERIVED_TYPED_ELEMENT__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` `DERIVED_TYPED_ELEMENT__ETYPE` The feature id for the 'EType' reference.
`static int` `DERIVED_TYPED_ELEMENT__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` `DERIVED_TYPED_ELEMENT__MANY` The feature id for the 'Many' attribute.
`static int` `DERIVED_TYPED_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `DERIVED_TYPED_ELEMENT__ORDERED` The feature id for the 'Ordered' attribute.
`static int` `DERIVED_TYPED_ELEMENT__OVERRIDE` The feature id for the 'Override' reference.
`static int` `DERIVED_TYPED_ELEMENT__QUERY` The feature id for the 'Query' containment reference.
`static int` `DERIVED_TYPED_ELEMENT__REQUIRED` The feature id for the 'Required' attribute.
`static int` `DERIVED_TYPED_ELEMENT__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `DERIVED_TYPED_ELEMENT__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` `DERIVED_TYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Derived Typed Element' class.
`static int` `DOCUMENTED_ELEMENT` The meta object id for the '`Documented Element`' class.
`static int` `DOCUMENTED_ELEMENT__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `DOCUMENTED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Documented Element' class.
`static EFacetPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FACET` The meta object id for the '`Facet`' class.
`static int` `FACET__CONFORMANCE_TYPED_ELEMENT` The feature id for the 'Conformance Typed Element' reference.
`static int` `FACET__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `FACET__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET__EPACKAGE` The feature id for the 'EPackage' container reference.
`static int` `FACET__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list.
`static int` `FACET__EXTENDED_FACETS` The feature id for the 'Extended Facets' reference list.
`static int` `FACET__EXTENDED_METACLASS` The feature id for the 'Extended Metaclass' reference.
`static int` `FACET__FACET_ELEMENTS` The feature id for the 'Facet Elements' containment reference list.
`static int` `FACET__FACET_OPERATIONS` The feature id for the 'Facet Operations' containment reference list.
`static int` `FACET__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute.
`static int` `FACET__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute.
`static int` `FACET__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute.
`static int` `FACET__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_ATTRIBUTE` The meta object id for the '`Facet Attribute`' class.
`static int` `FACET_ATTRIBUTE__CATEGORIES` The feature id for the 'Categories' reference list.
`static int` `FACET_ATTRIBUTE__CHANGEABLE` The feature id for the 'Changeable' attribute.
`static int` `FACET_ATTRIBUTE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute.
`static int` `FACET_ATTRIBUTE__DERIVED` The feature id for the 'Derived' attribute.
`static int` `FACET_ATTRIBUTE__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_ATTRIBUTE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_ATTRIBUTE__EATTRIBUTE_TYPE` The feature id for the 'EAttribute Type' reference.
`static int` `FACET_ATTRIBUTE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` `FACET_ATTRIBUTE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` `FACET_ATTRIBUTE__ETYPE` The feature id for the 'EType' reference.
`static int` `FACET_ATTRIBUTE__ID` The feature id for the 'ID' attribute.
`static int` `FACET_ATTRIBUTE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` `FACET_ATTRIBUTE__MANY` The feature id for the 'Many' attribute.
`static int` `FACET_ATTRIBUTE__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_ATTRIBUTE__ORDERED` The feature id for the 'Ordered' attribute.
`static int` `FACET_ATTRIBUTE__OVERRIDE` The feature id for the 'Override' reference.
`static int` `FACET_ATTRIBUTE__QUERY` The feature id for the 'Query' containment reference.
`static int` `FACET_ATTRIBUTE__REQUIRED` The feature id for the 'Required' attribute.
`static int` `FACET_ATTRIBUTE__TRANSIENT` The feature id for the 'Transient' attribute.
`static int` `FACET_ATTRIBUTE__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `FACET_ATTRIBUTE__UNSETTABLE` The feature id for the 'Unsettable' attribute.
`static int` `FACET_ATTRIBUTE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` `FACET_ATTRIBUTE__VOLATILE` The feature id for the 'Volatile' attribute.
`static int` `FACET_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Facet Attribute' class.
`static int` `FACET_ELEMENT` The meta object id for the '`Facet Element`' class.
`static int` `FACET_ELEMENT__CATEGORIES` The feature id for the 'Categories' reference list.
`static int` `FACET_ELEMENT__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_ELEMENT__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` `FACET_ELEMENT__ETYPE` The feature id for the 'EType' reference.
`static int` `FACET_ELEMENT__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` `FACET_ELEMENT__MANY` The feature id for the 'Many' attribute.
`static int` `FACET_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_ELEMENT__ORDERED` The feature id for the 'Ordered' attribute.
`static int` `FACET_ELEMENT__REQUIRED` The feature id for the 'Required' attribute.
`static int` `FACET_ELEMENT__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `FACET_ELEMENT__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` `FACET_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Facet Element' class.
`static int` `FACET_FEATURE_COUNT` The number of structural features of the 'Facet' class.
`static int` `FACET_OPERATION` The meta object id for the '`Facet Operation`' class.
`static int` `FACET_OPERATION__CATEGORIES` The feature id for the 'Categories' reference list.
`static int` `FACET_OPERATION__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_OPERATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_OPERATION__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` `FACET_OPERATION__EEXCEPTIONS` The feature id for the 'EExceptions' reference list.
`static int` `FACET_OPERATION__EGENERIC_EXCEPTIONS` The feature id for the 'EGeneric Exceptions' containment reference list.
`static int` `FACET_OPERATION__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` `FACET_OPERATION__EPARAMETERS` The feature id for the 'EParameters' containment reference list.
`static int` `FACET_OPERATION__ETYPE` The feature id for the 'EType' reference.
`static int` `FACET_OPERATION__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list.
`static int` `FACET_OPERATION__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` `FACET_OPERATION__MANY` The feature id for the 'Many' attribute.
`static int` `FACET_OPERATION__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_OPERATION__ORDERED` The feature id for the 'Ordered' attribute.
`static int` `FACET_OPERATION__OVERRIDE` The feature id for the 'Override' reference.
`static int` `FACET_OPERATION__QUERY` The feature id for the 'Query' containment reference.
`static int` `FACET_OPERATION__REQUIRED` The feature id for the 'Required' attribute.
`static int` `FACET_OPERATION__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `FACET_OPERATION__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` `FACET_OPERATION_FEATURE_COUNT` The number of structural features of the 'Facet Operation' class.
`static int` `FACET_REFERENCE` The meta object id for the '`Facet Reference`' class.
`static int` `FACET_REFERENCE__CATEGORIES` The feature id for the 'Categories' reference list.
`static int` `FACET_REFERENCE__CHANGEABLE` The feature id for the 'Changeable' attribute.
`static int` `FACET_REFERENCE__CONTAINER` The feature id for the 'Container' attribute.
`static int` `FACET_REFERENCE__CONTAINMENT` The feature id for the 'Containment' attribute.
`static int` `FACET_REFERENCE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `FACET_REFERENCE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute.
`static int` `FACET_REFERENCE__DERIVED` The feature id for the 'Derived' attribute.
`static int` `FACET_REFERENCE__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_REFERENCE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_REFERENCE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` `FACET_REFERENCE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` `FACET_REFERENCE__EKEYS` The feature id for the 'EKeys' reference list.
`static int` `FACET_REFERENCE__EOPPOSITE` The feature id for the 'EOpposite' reference.
`static int` `FACET_REFERENCE__EREFERENCE_TYPE` The feature id for the 'EReference Type' reference.
`static int` `FACET_REFERENCE__ETYPE` The feature id for the 'EType' reference.
`static int` `FACET_REFERENCE__FOPPOSITE` The feature id for the 'FOpposite' reference.
`static int` `FACET_REFERENCE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` `FACET_REFERENCE__MANY` The feature id for the 'Many' attribute.
`static int` `FACET_REFERENCE__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_REFERENCE__ORDERED` The feature id for the 'Ordered' attribute.
`static int` `FACET_REFERENCE__OVERRIDE` The feature id for the 'Override' reference.
`static int` `FACET_REFERENCE__QUERY` The feature id for the 'Query' containment reference.
`static int` `FACET_REFERENCE__REQUIRED` The feature id for the 'Required' attribute.
`static int` `FACET_REFERENCE__RESOLVE_PROXIES` The feature id for the 'Resolve Proxies' attribute.
`static int` `FACET_REFERENCE__TRANSIENT` The feature id for the 'Transient' attribute.
`static int` `FACET_REFERENCE__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `FACET_REFERENCE__UNSETTABLE` The feature id for the 'Unsettable' attribute.
`static int` `FACET_REFERENCE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` `FACET_REFERENCE__VOLATILE` The feature id for the 'Volatile' attribute.
`static int` `FACET_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Facet Reference' class.
`static int` `FACET_SET` The meta object id for the '`Facet Set`' class.
`static int` `FACET_SET__CATEGORIES` The feature id for the 'Categories' containment reference list.
`static int` `FACET_SET__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_SET__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_SET__ECLASSIFIERS` The feature id for the 'EClassifiers' containment reference list.
`static int` `FACET_SET__EFACTORY_INSTANCE` The feature id for the 'EFactory Instance' reference.
`static int` `FACET_SET__ESUBPACKAGES` The feature id for the 'ESubpackages' containment reference list.
`static int` `FACET_SET__ESUPER_PACKAGE` The feature id for the 'ESuper Package' container reference.
`static int` `FACET_SET__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_SET__NS_PREFIX` The feature id for the 'Ns Prefix' attribute.
`static int` `FACET_SET__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` `FACET_SET_FEATURE_COUNT` The number of structural features of the 'Facet Set' class.
`static int` `PARAMETER_VALUE` The meta object id for the '`Parameter Value`' class.
`static int` `PARAMETER_VALUE__PARAMETER` The feature id for the 'Parameter' reference.
`static int` `PARAMETER_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` `PARAMETER_VALUE_FEATURE_COUNT` The number of structural features of the 'Parameter Value' class.
`static int` `RESOURCE` The meta object id for the 'Resource' data type.

### Method Summary

All Methods Instance Methods Abstract Methods
`EClass` `getCategory()` Returns the meta object for class '`Category`'.
`EReference` `getDerivedTypedElement_Override()` Returns the meta object for the reference '`Override`'.
`EReference` `getDerivedTypedElement_Query()` Returns the meta object for the containment reference '`Query`'.
`EClass` `getDerivedTypedElement()` Returns the meta object for class '`Derived Typed Element`'.
`EAttribute` `getDocumentedElement_Documentation()` Returns the meta object for the attribute '`Documentation`'.
`EClass` `getDocumentedElement()` Returns the meta object for class '`Documented Element`'.
`EFacetFactory` `getEFacetFactory()` Returns the factory that creates the instances of the model.
`EReference` `getFacet_ConformanceTypedElement()` Returns the meta object for the reference '`Conformance Typed Element`'.
`EReference` `getFacet_ExtendedFacets()` Returns the meta object for the reference list '`Extended Facets`'.
`EReference` `getFacet_ExtendedMetaclass()` Returns the meta object for the reference '`Extended Metaclass`'.
`EReference` `getFacet_FacetElements()` Returns the meta object for the containment reference list '`Facet Elements`'.
`EReference` `getFacet_FacetOperations()` Returns the meta object for the containment reference list '`Facet Operations`'.
`EClass` `getFacet()` Returns the meta object for class '`Facet`'.
`EClass` `getFacetAttribute()` Returns the meta object for class '`Facet Attribute`'.
`EReference` `getFacetElement_Categories()` Returns the meta object for the reference list '`Categories`'.
`EClass` `getFacetElement()` Returns the meta object for class '`Facet Element`'.
`EClass` `getFacetOperation()` Returns the meta object for class '`Facet Operation`'.
`EReference` `getFacetReference_FOpposite()` Returns the meta object for the reference '`FOpposite`'.
`EClass` `getFacetReference()` Returns the meta object for class '`Facet Reference`'.
`EReference` `getFacetSet_Categories()` Returns the meta object for the containment reference list '`Categories`'.
`EClass` `getFacetSet()` Returns the meta object for class '`Facet Set`'.
`EReference` `getParameterValue_Parameter()` Returns the meta object for the reference '`Parameter`'.
`EAttribute` `getParameterValue_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getParameterValue()` Returns the meta object for class '`Parameter Value`'.
`EDataType` `getResource()` Returns the meta object for data type '`Resource`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final EFacetPackage eINSTANCE

The singleton instance of the package.

Generated:

#### FACET_ATTRIBUTE

    static final int FACET_ATTRIBUTE

The meta object id for the '`Facet Attribute`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetAttributeImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetAttribute()`, Constant Field Values
Generated:

#### FACET_ATTRIBUTE__EANNOTATIONS

    static final int FACET_ATTRIBUTE__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_ATTRIBUTE__NAME

    static final int FACET_ATTRIBUTE__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__ORDERED

    static final int FACET_ATTRIBUTE__ORDERED

The feature id for the 'Ordered' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__UNIQUE

    static final int FACET_ATTRIBUTE__UNIQUE

The feature id for the 'Unique' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__LOWER_BOUND

    static final int FACET_ATTRIBUTE__LOWER_BOUND

The feature id for the 'Lower Bound' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__UPPER_BOUND

    static final int FACET_ATTRIBUTE__UPPER_BOUND

The feature id for the 'Upper Bound' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__MANY

    static final int FACET_ATTRIBUTE__MANY

The feature id for the 'Many' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__REQUIRED

    static final int FACET_ATTRIBUTE__REQUIRED

The feature id for the 'Required' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__ETYPE

    static final int FACET_ATTRIBUTE__ETYPE

The feature id for the 'EType' reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE__EGENERIC_TYPE

    static final int FACET_ATTRIBUTE__EGENERIC_TYPE

The feature id for the 'EGeneric Type' containment reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE__CHANGEABLE

    static final int FACET_ATTRIBUTE__CHANGEABLE

The feature id for the 'Changeable' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__VOLATILE

    static final int FACET_ATTRIBUTE__VOLATILE

The feature id for the 'Volatile' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__TRANSIENT

    static final int FACET_ATTRIBUTE__TRANSIENT

The feature id for the 'Transient' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL

    static final int FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL

The feature id for the 'Default Value Literal' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__DEFAULT_VALUE

    static final int FACET_ATTRIBUTE__DEFAULT_VALUE

The feature id for the 'Default Value' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__UNSETTABLE

    static final int FACET_ATTRIBUTE__UNSETTABLE

The feature id for the 'Unsettable' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__DERIVED

    static final int FACET_ATTRIBUTE__DERIVED

The feature id for the 'Derived' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__ECONTAINING_CLASS

    static final int FACET_ATTRIBUTE__ECONTAINING_CLASS

The feature id for the 'EContaining Class' container reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE__ID

    static final int FACET_ATTRIBUTE__ID

The feature id for the 'ID' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__EATTRIBUTE_TYPE

    static final int FACET_ATTRIBUTE__EATTRIBUTE_TYPE

The feature id for the 'EAttribute Type' reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE__DOCUMENTATION

    static final int FACET_ATTRIBUTE__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_ATTRIBUTE__CATEGORIES

    static final int FACET_ATTRIBUTE__CATEGORIES

The feature id for the 'Categories' reference list.

Generated:
Ordered:

#### FACET_ATTRIBUTE__QUERY

    static final int FACET_ATTRIBUTE__QUERY

The feature id for the 'Query' containment reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE__OVERRIDE

    static final int FACET_ATTRIBUTE__OVERRIDE

The feature id for the 'Override' reference.

Generated:
Ordered:

#### FACET_ATTRIBUTE_FEATURE_COUNT

    static final int FACET_ATTRIBUTE_FEATURE_COUNT

The number of structural features of the 'Facet Attribute' class.

Generated:
Ordered:

#### FACET_REFERENCE

    static final int FACET_REFERENCE

The meta object id for the '`Facet Reference`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetReferenceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetReference()`, Constant Field Values
Generated:

#### FACET_REFERENCE__EANNOTATIONS

    static final int FACET_REFERENCE__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_REFERENCE__NAME

    static final int FACET_REFERENCE__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__ORDERED

    static final int FACET_REFERENCE__ORDERED

The feature id for the 'Ordered' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__UNIQUE

    static final int FACET_REFERENCE__UNIQUE

The feature id for the 'Unique' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__LOWER_BOUND

    static final int FACET_REFERENCE__LOWER_BOUND

The feature id for the 'Lower Bound' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__UPPER_BOUND

    static final int FACET_REFERENCE__UPPER_BOUND

The feature id for the 'Upper Bound' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__MANY

    static final int FACET_REFERENCE__MANY

The feature id for the 'Many' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__REQUIRED

    static final int FACET_REFERENCE__REQUIRED

The feature id for the 'Required' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__ETYPE

    static final int FACET_REFERENCE__ETYPE

The feature id for the 'EType' reference.

Generated:
Ordered:

#### FACET_REFERENCE__EGENERIC_TYPE

    static final int FACET_REFERENCE__EGENERIC_TYPE

The feature id for the 'EGeneric Type' containment reference.

Generated:
Ordered:

#### FACET_REFERENCE__CHANGEABLE

    static final int FACET_REFERENCE__CHANGEABLE

The feature id for the 'Changeable' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__VOLATILE

    static final int FACET_REFERENCE__VOLATILE

The feature id for the 'Volatile' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__TRANSIENT

    static final int FACET_REFERENCE__TRANSIENT

The feature id for the 'Transient' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__DEFAULT_VALUE_LITERAL

    static final int FACET_REFERENCE__DEFAULT_VALUE_LITERAL

The feature id for the 'Default Value Literal' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__DEFAULT_VALUE

    static final int FACET_REFERENCE__DEFAULT_VALUE

The feature id for the 'Default Value' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__UNSETTABLE

    static final int FACET_REFERENCE__UNSETTABLE

The feature id for the 'Unsettable' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__DERIVED

    static final int FACET_REFERENCE__DERIVED

The feature id for the 'Derived' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__ECONTAINING_CLASS

    static final int FACET_REFERENCE__ECONTAINING_CLASS

The feature id for the 'EContaining Class' container reference.

Generated:
Ordered:

#### FACET_REFERENCE__CONTAINMENT

    static final int FACET_REFERENCE__CONTAINMENT

The feature id for the 'Containment' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__CONTAINER

    static final int FACET_REFERENCE__CONTAINER

The feature id for the 'Container' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__RESOLVE_PROXIES

    static final int FACET_REFERENCE__RESOLVE_PROXIES

The feature id for the 'Resolve Proxies' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__EOPPOSITE

    static final int FACET_REFERENCE__EOPPOSITE

The feature id for the 'EOpposite' reference.

Generated:
Ordered:

#### FACET_REFERENCE__EREFERENCE_TYPE

    static final int FACET_REFERENCE__EREFERENCE_TYPE

The feature id for the 'EReference Type' reference.

Generated:
Ordered:

#### FACET_REFERENCE__EKEYS

    static final int FACET_REFERENCE__EKEYS

The feature id for the 'EKeys' reference list.

Generated:
Ordered:

#### FACET_REFERENCE__DOCUMENTATION

    static final int FACET_REFERENCE__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_REFERENCE__CATEGORIES

    static final int FACET_REFERENCE__CATEGORIES

The feature id for the 'Categories' reference list.

Generated:
Ordered:

#### FACET_REFERENCE__QUERY

    static final int FACET_REFERENCE__QUERY

The feature id for the 'Query' containment reference.

Generated:
Ordered:

#### FACET_REFERENCE__OVERRIDE

    static final int FACET_REFERENCE__OVERRIDE

The feature id for the 'Override' reference.

Generated:
Ordered:

#### FACET_REFERENCE__FOPPOSITE

    static final int FACET_REFERENCE__FOPPOSITE

The feature id for the 'FOpposite' reference.

Since:
  1.0
Generated:
Ordered:

#### FACET_REFERENCE_FEATURE_COUNT

    static final int FACET_REFERENCE_FEATURE_COUNT

The number of structural features of the 'Facet Reference' class.

Generated:
Ordered:

#### FACET_OPERATION

    static final int FACET_OPERATION

The meta object id for the '`Facet Operation`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetOperationImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetOperation()`, Constant Field Values
Generated:

#### FACET_OPERATION__EANNOTATIONS

    static final int FACET_OPERATION__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_OPERATION__NAME

    static final int FACET_OPERATION__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_OPERATION__ORDERED

    static final int FACET_OPERATION__ORDERED

The feature id for the 'Ordered' attribute.

Generated:
Ordered:

#### FACET_OPERATION__UNIQUE

    static final int FACET_OPERATION__UNIQUE

The feature id for the 'Unique' attribute.

Generated:
Ordered:

#### FACET_OPERATION__LOWER_BOUND

    static final int FACET_OPERATION__LOWER_BOUND

The feature id for the 'Lower Bound' attribute.

Generated:
Ordered:

#### FACET_OPERATION__UPPER_BOUND

    static final int FACET_OPERATION__UPPER_BOUND

The feature id for the 'Upper Bound' attribute.

Generated:
Ordered:

#### FACET_OPERATION__MANY

    static final int FACET_OPERATION__MANY

The feature id for the 'Many' attribute.

Generated:
Ordered:

#### FACET_OPERATION__REQUIRED

    static final int FACET_OPERATION__REQUIRED

The feature id for the 'Required' attribute.

Generated:
Ordered:

#### FACET_OPERATION__ETYPE

    static final int FACET_OPERATION__ETYPE

The feature id for the 'EType' reference.

Generated:
Ordered:

#### FACET_OPERATION__EGENERIC_TYPE

    static final int FACET_OPERATION__EGENERIC_TYPE

The feature id for the 'EGeneric Type' containment reference.

Generated:
Ordered:

#### FACET_OPERATION__ECONTAINING_CLASS

    static final int FACET_OPERATION__ECONTAINING_CLASS

The feature id for the 'EContaining Class' container reference.

Generated:
Ordered:

#### FACET_OPERATION__ETYPE_PARAMETERS

    static final int FACET_OPERATION__ETYPE_PARAMETERS

The feature id for the 'EType Parameters' containment reference list.

Generated:
Ordered:

#### FACET_OPERATION__EPARAMETERS

    static final int FACET_OPERATION__EPARAMETERS

The feature id for the 'EParameters' containment reference list.

Generated:
Ordered:

#### FACET_OPERATION__EEXCEPTIONS

    static final int FACET_OPERATION__EEXCEPTIONS

The feature id for the 'EExceptions' reference list.

Generated:
Ordered:

#### FACET_OPERATION__EGENERIC_EXCEPTIONS

    static final int FACET_OPERATION__EGENERIC_EXCEPTIONS

The feature id for the 'EGeneric Exceptions' containment reference list.

Generated:
Ordered:

#### FACET_OPERATION__DOCUMENTATION

    static final int FACET_OPERATION__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_OPERATION__CATEGORIES

    static final int FACET_OPERATION__CATEGORIES

The feature id for the 'Categories' reference list.

Generated:
Ordered:

#### FACET_OPERATION__QUERY

    static final int FACET_OPERATION__QUERY

The feature id for the 'Query' containment reference.

Generated:
Ordered:

#### FACET_OPERATION__OVERRIDE

    static final int FACET_OPERATION__OVERRIDE

The feature id for the 'Override' reference.

Generated:
Ordered:

#### FACET_OPERATION_FEATURE_COUNT

    static final int FACET_OPERATION_FEATURE_COUNT

The number of structural features of the 'Facet Operation' class.

Generated:
Ordered:

#### FACET_SET

    static final int FACET_SET

The meta object id for the '`Facet Set`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetSetImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetSet()`, Constant Field Values
Generated:

#### FACET_SET__EANNOTATIONS

    static final int FACET_SET__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_SET__NAME

    static final int FACET_SET__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_SET__NS_URI

    static final int FACET_SET__NS_URI

The feature id for the 'Ns URI' attribute.

Generated:
Ordered:

#### FACET_SET__NS_PREFIX

    static final int FACET_SET__NS_PREFIX

The feature id for the 'Ns Prefix' attribute.

Generated:
Ordered:

#### FACET_SET__EFACTORY_INSTANCE

    static final int FACET_SET__EFACTORY_INSTANCE

The feature id for the 'EFactory Instance' reference.

Generated:
Ordered:

#### FACET_SET__ECLASSIFIERS

    static final int FACET_SET__ECLASSIFIERS

The feature id for the 'EClassifiers' containment reference list.

Generated:
Ordered:

#### FACET_SET__ESUBPACKAGES

    static final int FACET_SET__ESUBPACKAGES

The feature id for the 'ESubpackages' containment reference list.

Generated:
Ordered:

#### FACET_SET__ESUPER_PACKAGE

    static final int FACET_SET__ESUPER_PACKAGE

The feature id for the 'ESuper Package' container reference.

Generated:
Ordered:

#### FACET_SET__DOCUMENTATION

    static final int FACET_SET__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_SET__CATEGORIES

    static final int FACET_SET__CATEGORIES

The feature id for the 'Categories' containment reference list.

Generated:
Ordered:

#### FACET_SET_FEATURE_COUNT

    static final int FACET_SET_FEATURE_COUNT

The number of structural features of the 'Facet Set' class.

Generated:
Ordered:

#### FACET

    static final int FACET

The meta object id for the '`Facet`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacet()`, Constant Field Values
Generated:

#### FACET__EANNOTATIONS

    static final int FACET__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET__NAME

    static final int FACET__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET__INSTANCE_CLASS_NAME

    static final int FACET__INSTANCE_CLASS_NAME

The feature id for the 'Instance Class Name' attribute.

Generated:
Ordered:

#### FACET__INSTANCE_CLASS

    static final int FACET__INSTANCE_CLASS

The feature id for the 'Instance Class' attribute.

Generated:
Ordered:

#### FACET__DEFAULT_VALUE

    static final int FACET__DEFAULT_VALUE

The feature id for the 'Default Value' attribute.

Generated:
Ordered:

#### FACET__INSTANCE_TYPE_NAME

    static final int FACET__INSTANCE_TYPE_NAME

The feature id for the 'Instance Type Name' attribute.

Generated:
Ordered:

#### FACET__EPACKAGE

    static final int FACET__EPACKAGE

The feature id for the 'EPackage' container reference.

Generated:
Ordered:

#### FACET__ETYPE_PARAMETERS

    static final int FACET__ETYPE_PARAMETERS

The feature id for the 'EType Parameters' containment reference list.

Generated:
Ordered:

#### FACET__DOCUMENTATION

    static final int FACET__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET__EXTENDED_METACLASS

    static final int FACET__EXTENDED_METACLASS

The feature id for the 'Extended Metaclass' reference.

Generated:
Ordered:

#### FACET__FACET_ELEMENTS

    static final int FACET__FACET_ELEMENTS

The feature id for the 'Facet Elements' containment reference list.

Generated:
Ordered:

#### FACET__FACET_OPERATIONS

    static final int FACET__FACET_OPERATIONS

The feature id for the 'Facet Operations' containment reference list.

Generated:
Ordered:

#### FACET__CONFORMANCE_TYPED_ELEMENT

    static final int FACET__CONFORMANCE_TYPED_ELEMENT

The feature id for the 'Conformance Typed Element' reference.

Generated:
Ordered:

#### FACET__EXTENDED_FACETS

    static final int FACET__EXTENDED_FACETS

The feature id for the 'Extended Facets' reference list.

Since:
  0.2
Generated:
Ordered:

#### FACET_FEATURE_COUNT

    static final int FACET_FEATURE_COUNT

The number of structural features of the 'Facet' class.

Generated:
Ordered:

#### CATEGORY

    static final int CATEGORY

The meta object id for the '`Category`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.CategoryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getCategory()`, Constant Field Values
Generated:

#### CATEGORY__EANNOTATIONS

    static final int CATEGORY__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### CATEGORY__NAME

    static final int CATEGORY__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### CATEGORY__DOCUMENTATION

    static final int CATEGORY__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### CATEGORY_FEATURE_COUNT

    static final int CATEGORY_FEATURE_COUNT

The number of structural features of the 'Category' class.

Generated:
Ordered:

#### FACET_ELEMENT

    static final int FACET_ELEMENT

The meta object id for the '`Facet Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetElement()`, Constant Field Values
Generated:

#### FACET_ELEMENT__EANNOTATIONS

    static final int FACET_ELEMENT__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_ELEMENT__NAME

    static final int FACET_ELEMENT__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__ORDERED

    static final int FACET_ELEMENT__ORDERED

The feature id for the 'Ordered' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__UNIQUE

    static final int FACET_ELEMENT__UNIQUE

The feature id for the 'Unique' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__LOWER_BOUND

    static final int FACET_ELEMENT__LOWER_BOUND

The feature id for the 'Lower Bound' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__UPPER_BOUND

    static final int FACET_ELEMENT__UPPER_BOUND

The feature id for the 'Upper Bound' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__MANY

    static final int FACET_ELEMENT__MANY

The feature id for the 'Many' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__REQUIRED

    static final int FACET_ELEMENT__REQUIRED

The feature id for the 'Required' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__ETYPE

    static final int FACET_ELEMENT__ETYPE

The feature id for the 'EType' reference.

Generated:
Ordered:

#### FACET_ELEMENT__EGENERIC_TYPE

    static final int FACET_ELEMENT__EGENERIC_TYPE

The feature id for the 'EGeneric Type' containment reference.

Generated:
Ordered:

#### FACET_ELEMENT__DOCUMENTATION

    static final int FACET_ELEMENT__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_ELEMENT__CATEGORIES

    static final int FACET_ELEMENT__CATEGORIES

The feature id for the 'Categories' reference list.

Generated:
Ordered:

#### FACET_ELEMENT_FEATURE_COUNT

    static final int FACET_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Facet Element' class.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT

    static final int DERIVED_TYPED_ELEMENT

The meta object id for the '`Derived Typed Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.DerivedTypedElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getDerivedTypedElement()`, Constant Field Values
Generated:

#### DERIVED_TYPED_ELEMENT__EANNOTATIONS

    static final int DERIVED_TYPED_ELEMENT__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__NAME

    static final int DERIVED_TYPED_ELEMENT__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__ORDERED

    static final int DERIVED_TYPED_ELEMENT__ORDERED

The feature id for the 'Ordered' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__UNIQUE

    static final int DERIVED_TYPED_ELEMENT__UNIQUE

The feature id for the 'Unique' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__LOWER_BOUND

    static final int DERIVED_TYPED_ELEMENT__LOWER_BOUND

The feature id for the 'Lower Bound' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__UPPER_BOUND

    static final int DERIVED_TYPED_ELEMENT__UPPER_BOUND

The feature id for the 'Upper Bound' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__MANY

    static final int DERIVED_TYPED_ELEMENT__MANY

The feature id for the 'Many' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__REQUIRED

    static final int DERIVED_TYPED_ELEMENT__REQUIRED

The feature id for the 'Required' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__ETYPE

    static final int DERIVED_TYPED_ELEMENT__ETYPE

The feature id for the 'EType' reference.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__EGENERIC_TYPE

    static final int DERIVED_TYPED_ELEMENT__EGENERIC_TYPE

The feature id for the 'EGeneric Type' containment reference.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__DOCUMENTATION

    static final int DERIVED_TYPED_ELEMENT__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__CATEGORIES

    static final int DERIVED_TYPED_ELEMENT__CATEGORIES

The feature id for the 'Categories' reference list.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__QUERY

    static final int DERIVED_TYPED_ELEMENT__QUERY

The feature id for the 'Query' containment reference.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT__OVERRIDE

    static final int DERIVED_TYPED_ELEMENT__OVERRIDE

The feature id for the 'Override' reference.

Generated:
Ordered:

#### DERIVED_TYPED_ELEMENT_FEATURE_COUNT

    static final int DERIVED_TYPED_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Derived Typed Element' class.

Generated:
Ordered:

#### PARAMETER_VALUE

    static final int PARAMETER_VALUE

The meta object id for the '`Parameter Value`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.ParameterValueImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getParameterValue()`, Constant Field Values
Generated:

#### PARAMETER_VALUE__PARAMETER

    static final int PARAMETER_VALUE__PARAMETER

The feature id for the 'Parameter' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PARAMETER_VALUE__VALUE

    static final int PARAMETER_VALUE__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PARAMETER_VALUE_FEATURE_COUNT

    static final int PARAMETER_VALUE_FEATURE_COUNT

The number of structural features of the 'Parameter Value' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### DOCUMENTED_ELEMENT

    static final int DOCUMENTED_ELEMENT

The meta object id for the '`Documented Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.DocumentedElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getDocumentedElement()`, Constant Field Values
Generated:

#### DOCUMENTED_ELEMENT__DOCUMENTATION

    static final int DOCUMENTED_ELEMENT__DOCUMENTATION

The feature id for the 'Documentation' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### DOCUMENTED_ELEMENT_FEATURE_COUNT

    static final int DOCUMENTED_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Documented Element' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### RESOURCE

    static final int RESOURCE

The meta object id for the 'Resource' data type.

See Also:
  `org.eclipse.emf.ecore.resource.Resource`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getResource()`, Constant Field Values
Generated:

### Method Detail

#### getFacetAttribute

    EClass getFacetAttribute()

Returns the meta object for class '`Facet Attribute`'.

Returns:
  the meta object for class 'Facet Attribute'.
See Also:
  `FacetAttribute`
Generated:

#### getFacetReference

    EClass getFacetReference()

Returns the meta object for class '`Facet Reference`'.

Returns:
  the meta object for class 'Facet Reference'.
See Also:
  `FacetReference`
Generated:

#### getFacetReference_FOpposite

    EReference getFacetReference_FOpposite()

Returns the meta object for the reference '`FOpposite`'.

Returns:
  the meta object for the reference 'FOpposite'.
Since:
  1.0
See Also:
  `FacetReference.getFOpposite()`, `getFacetReference()`
Generated:

#### getFacetOperation

    EClass getFacetOperation()

Returns the meta object for class '`Facet Operation`'.

Returns:
  the meta object for class 'Facet Operation'.
See Also:
  `FacetOperation`
Generated:

#### getFacetSet

    EClass getFacetSet()

Returns the meta object for class '`Facet Set`'.

Returns:
  the meta object for class 'Facet Set'.
See Also:
  `FacetSet`
Generated:

#### getFacetSet_Categories

    EReference getFacetSet_Categories()

Returns the meta object for the containment reference list '`Categories`'.

Returns:
  the meta object for the containment reference list 'Categories'.
See Also:
  `FacetSet.getCategories()`, `getFacetSet()`
Generated:

#### getFacet

    EClass getFacet()

Returns the meta object for class '`Facet`'.

Returns:
  the meta object for class 'Facet'.
See Also:
  `Facet`
Generated:

#### getFacet_ExtendedMetaclass

    EReference getFacet_ExtendedMetaclass()

Returns the meta object for the reference '`Extended Metaclass`'.

Returns:
  the meta object for the reference 'Extended Metaclass'.
See Also:
  `Facet.getExtendedMetaclass()`, `getFacet()`
Generated:

#### getFacet_FacetElements

    EReference getFacet_FacetElements()

Returns the meta object for the containment reference list '`Facet Elements`'.

Returns:
  the meta object for the containment reference list 'Facet Elements'.
See Also:
  `Facet.getFacetElements()`, `getFacet()`
Generated:

#### getFacet_FacetOperations

    EReference getFacet_FacetOperations()

Returns the meta object for the containment reference list '`Facet Operations`'.

Returns:
  the meta object for the containment reference list 'Facet Operations'.
See Also:
  `Facet.getFacetOperations()`, `getFacet()`
Generated:

#### getFacet_ConformanceTypedElement

    EReference getFacet_ConformanceTypedElement()

Returns the meta object for the reference '`Conformance Typed Element`'.

Returns:
  the meta object for the reference 'Conformance Typed Element'.
See Also:
  `Facet.getConformanceTypedElement()`, `getFacet()`
Generated:

#### getFacet_ExtendedFacets

    EReference getFacet_ExtendedFacets()

Returns the meta object for the reference list '`Extended Facets`'.

Returns:
  the meta object for the reference list 'Extended Facets'.
Since:
  0.2
See Also:
  `Facet.getExtendedFacets()`, `getFacet()`
Generated:

#### getCategory

    EClass getCategory()

Returns the meta object for class '`Category`'.

Returns:
  the meta object for class 'Category'.
See Also:
  `Category`
Generated:

#### getFacetElement

    EClass getFacetElement()

Returns the meta object for class '`Facet Element`'.

Returns:
  the meta object for class 'Facet Element'.
See Also:
  `FacetElement`
Generated:

#### getFacetElement_Categories

    EReference getFacetElement_Categories()

Returns the meta object for the reference list '`Categories`'.

Returns:
  the meta object for the reference list 'Categories'.
See Also:
  `FacetElement.getCategories()`, `getFacetElement()`
Generated:

#### getDerivedTypedElement

    EClass getDerivedTypedElement()

Returns the meta object for class '`Derived Typed Element`'.

Returns:
  the meta object for class 'Derived Typed Element'.
See Also:
  `DerivedTypedElement`
Generated:

#### getDerivedTypedElement_Query

    EReference getDerivedTypedElement_Query()

Returns the meta object for the containment reference '`Query`'.

Returns:
  the meta object for the containment reference 'Query'.
See Also:
  `DerivedTypedElement.getQuery()`, `getDerivedTypedElement()`
Generated:

#### getDerivedTypedElement_Override

    EReference getDerivedTypedElement_Override()

Returns the meta object for the reference '`Override`'.

Returns:
  the meta object for the reference 'Override'.
See Also:
  `DerivedTypedElement.getOverride()`, `getDerivedTypedElement()`
Generated:

#### getParameterValue

    EClass getParameterValue()

Returns the meta object for class '`Parameter Value`'.

Returns:
  the meta object for class 'Parameter Value'.
See Also:
  `ParameterValue`
Generated:

#### getParameterValue_Parameter

    EReference getParameterValue_Parameter()

Returns the meta object for the reference '`Parameter`'.

Returns:
  the meta object for the reference 'Parameter'.
See Also:
  `ParameterValue.getParameter()`, `getParameterValue()`
Generated:

#### getParameterValue_Value

    EAttribute getParameterValue_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `ParameterValue.getValue()`, `getParameterValue()`
Generated:

#### getDocumentedElement

    EClass getDocumentedElement()

Returns the meta object for class '`Documented Element`'.

Returns:
  the meta object for class 'Documented Element'.
See Also:
  `DocumentedElement`
Generated:

#### getDocumentedElement_Documentation

    EAttribute getDocumentedElement_Documentation()

Returns the meta object for the attribute '`Documentation`'.

Returns:
  the meta object for the attribute 'Documentation'.
See Also:
  `DocumentedElement.getDocumentation()`, `getDocumentedElement()`
Generated:

#### getResource

    EDataType getResource()

Returns the meta object for data type '`Resource`'.

Returns:
  the meta object for data type 'Resource'.
See Also:
  `org.eclipse.emf.ecore.resource.Resource`
Generated:
Model:
  instanceClass="org.eclipse.emf.ecore.resource.Resource"

#### getEFacetFactory

    EFacetFactory getEFacetFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: